Subject: bug#43166: closed (The issues.guix.gnu.org is hard to read in emacs-w3m.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Dec 2021 18:26:02 +0000

Your bug report

#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43166: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43166
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: The issues.guix.gnu.org is hard to read in emacs-w3m.
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Thu, 09 Dec 2021 18:20:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This is now fixed in mumi.  I tested the change in eww and in icecat.

This was easier to implement than when the bug was first reported.  Due
to later developments I could limit the use of “pre” to lines in the
“diff” context, so that message text can still be reflown.

Sorry for the delay, but there was no way for me to take enough time to
work on mumi before.  You are all still more than welcome to contribute
to mumi.

I’m reconfiguring the server hosting issues.guix.gnu.org now, so this
change will go live as soon as that’s done.

-- 
Ricardo

Subject: The issues.guix.gnu.org is hard to read in emacs-w3m.
From: Vitaliy Shatrov <[email-masked]>
To: [email-masked]
Date: Wed, 02 Sep 2020 12:16:06 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello again dear Guixen.
I use emacs-w3m as a browser on  a single board computer.  I want to read, for example, issue #43159.

I can read it on https://debbugs.gnu.org/43159.  It's formatted properly, and the patch is readable too.

But the https://issues.guix.gnu.org/43159
is barely readable, and the patch is unreadable at all.  Even quoted text appear as:
> line > another line > more lines..

I think the issues.guix.gnu.org  should automatically append a link to the debbugs.gnu.org, for all issues.  It can be named like <a>No-JS version here</a>, or so.

The Links browser also can't show issues.guix.gnu.org properly for now.

Thanks.
-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.